part of 'landref_bloc.dart';

abstract class LandrefEvent extends Equatable {
  const LandrefEvent();

  @override
  List<Object> get props => [];
}

class LoadLandref extends LandrefEvent {
  final LandRef landRef;
  final int? id;

  const LoadLandref({required this.landRef, required this.id});

  @override
  List<Object> get props => [landRef];
}

class UpdateLandref extends LandrefEvent {
  final LandRef landRef;

  const UpdateLandref(this.landRef);

  @override
  List<Object> get props => [landRef];
}
